function o_downloadtool_start_download(e) {
	var xhr = new XMLHttpRequest();
	xhr.responseType = "json";
	xhr.open("GET","d/d_prepare.php",true);
	xhr.addEventListener("load",function() {
		downloadReady(this.response);
	});
	xhr.send();
	initWaiting(e.parentElement);
}
function initWaiting(p) {
	p.innerHTML = "Ihr Auftrag wird bearbeitet...<br>";
	var canvas = document.createElement("canvas");
	canvas.width = 100;
	canvas.height = 25;
	canvas = p.appendChild(canvas);
	drawWaiting(canvas);
}
var id;
function downloadReady(r) {
	var p = document.getElementById("odtoolfield");
	id = r["remote_key"];
	if(r["data_found"]==false) p.innerHTML = "Es wurden keine Daten gefunden.";
	else {
		p.innerHTML = "Die Daten wurden für Sie in einer Tabelle zusammengestellt<br><input type='button' onclick='otool_start_download()' value='Herunterladen'>";
	}
}
function otool_start_download() {
	var w = window.open("d/d_exec.php?k=" + id);
	setTimeout(function() { w.close(); },5000);
}